<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>Activty A</title>
	</head>
	<body>
		       <!-- Header paragraph with Italic style on it -->
			   <p>
				   	 <em>
				   	Science and Engineering Ethics (2001) 7, 231-238
				     </em>
			   	</p>
			   	<!--horizontal rule that is used to separate content -->
			   	<hr>

                     <!-- Title of the content -->
				    <h1>
				        	Software Engineering Code of Ethics and 
				        	Professional Practice
				    </h1>

                     <!-- Tag line of the content -->
			        <h3>
			        	IEEE-CS/ACM Joint Task Force on Software Engineering Ethics and Professional 
			        	Practices
			        </h3>


                	<!--horizontal rule that is used to separate content -->
		        <hr>

                     <!-- Paragraph with has Strong style on it -->
		        <p>
		        	<strong>Keywords</strong>: code of ethics, professional responsibility, software engineering
		        </p>

			        <h4>
			        	PREAMBLE
			        </h4>

					        <p>
					        	The short version of the code summarizes aspirations at a high level of abstraction. 
					        	The clauses that are included in the full version give examples and details of how these 
					        	aspirations change the way we act as software engineering professionals. Without the aspirations, 
					        	the details can become legalistic and 
					        	ledious; without the details, the aspirations can become high-sounding but empty; together, 
					        	the aspirations and the details form a cohesive code.
					        </p>

					        <p>
					        	Software engineers shall commit themeselves to making the analysis, specification, design, development, 
					        	testing, and maintenance of software a beneficial and respected profession. In accordance with 
					        	their commitment to the health, safety, and welfare of the public, software engineers shall adhere 
					        	to the following eight Principles:
					        </p>


                   <!-- Closing h4 with orderedlist -->
                <h4>
                	PRINCIPLES
                </h4>
	                <ol>
		                	<li>
		                		<em>Public</em>. Software engineers shall act consistently with the public interest.

		                		</li>
		                	<li>
		                		<em>Client and employer</em>. Software engineers shall act in manner that is the best 
		                		interests of their client and employer, consistent with the public interest.

		                		</li>
		                	<li>
		                		<em>Product</em>. Software engineers shall ensure that their products and related 
		                		modifications meet the highest professional standards possible.

		                		</li>
		                	<li>
		                		<em>Judgement</em>. Software engineers shall maintain integrity and independence 
		                		in their professional judgement.

		                	    </li>
		                	<li>
		                		<em>Management</em>. Software engineering managers and leaders shall subscribe to and 
		                		promote an ethical approach to the management of software development and maintenance.

		                	    </li>
		                	<li>
		                	    <em>Profession</em>. Software Engineers shall advance the integrity and reputation of
		                	    the consistent with the public interest.
		                	    </li>
		                	<li>
		                		<em>Colleagues</em>. Software engineers shall be fair to and supportive of their colleagues.

		                		</li>
		                	<li>
		                		<em>Self</em>. Software enginners shall participate in lifelong learning regarding the 
		                		practice of their profession and shall promote an ethical approach to the practice of the profession.

		                		</li>
	                </ol>

	</body>
</html>